task arriba{
    String sample_id
    File fastq1
    File fastq2
    File STAR_INDEX_DIR
    File ASSEMBLY_FA
    File ANNOTATION_GTF

    String disk_size
    String docker
    String cluster

    command <<<
	
        set -o pipefail
        set -e

        mkdir ./output/
        echo ${STAR_INDEX_DIR} >output/a.txt
        echo ${fastq1} >> output/a.txt
        echo ${fastq2} >> output/a.txt
        echo ${sample_id} >> output/a.txt
        echo ${ASSEMBLY_FA} >> output/a.txt
        echo ${ANNOTATION_GTF} >> output/a.txt



    >>>
	
    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        Array[File] arriba_result=glob("./output/*.txt")
    }

}


